Package fr.gouv.vitam.common.model.massupdate

# Class RuleCategoryAction

java.lang.Object
fr.gouv.vitam.common.model.massupdate.RuleCategoryAction

public class RuleCategoryAction extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleCategoryAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassificationAudience()`
  `String`
  `getClassificationLevel()`
  `String`
  `getClassificationOwner()`
  `String`
  `getClassificationReassessingDate()`
  `String`
  `getFinalAction()`
  `Boolean`
  `getNeedReassessingAuthorization()`
  `Boolean`
  `getPreventInheritance()`
  `Set<String>`
  `getPreventRulesId()`
  `Set<String>`
  `getPreventRulesIdToAdd()`
  `List<RuleAction>`
  `getRules()`
  `RuleCategoryAction`
  `setClassificationAudience(String classificationAudience)`
  `RuleCategoryAction`
  `setClassificationLevel(String classificationLevel)`
  `RuleCategoryAction`
  `setClassificationOwner(String classificationOwner)`
  `RuleCategoryAction`
  `setClassificationReassessingDate(String classificationReassessingDate)`
  `RuleCategoryAction`
  `setFinalAction(String finalAction)`
  `RuleCategoryAction`
  `setNeedReassessingAuthorization(Boolean needReassessingAuthorization)`
  `RuleCategoryAction`
  `setPreventInheritance(Boolean preventInheritance)`
  `RuleCategoryAction`
  `setPreventRulesId(Set<String> preventRulesId)`
  `RuleCategoryAction`
  `setPreventRulesIdToAdd(Set<String> preventRulesIdToAdd)`
  `RuleCategoryAction`
  `setRules(List<RuleAction> rules)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RuleCategoryAction

    public RuleCategoryAction()

- ## Method Details

  - ### getRules

    public List<RuleAction> getRules()

  - ### setRules

    public RuleCategoryAction setRules(List<RuleAction> rules)

  - ### getFinalAction

    public String getFinalAction()

  - ### setFinalAction

    public RuleCategoryAction setFinalAction(String finalAction)

  - ### getPreventInheritance

    public Boolean getPreventInheritance()

  - ### setPreventInheritance

    public RuleCategoryAction setPreventInheritance(Boolean preventInheritance)

  - ### getPreventRulesId

    public Set<String> getPreventRulesId()

  - ### setPreventRulesId

    public RuleCategoryAction setPreventRulesId(Set<String> preventRulesId)

  - ### getClassificationLevel

    public String getClassificationLevel()

  - ### setClassificationLevel

    public RuleCategoryAction setClassificationLevel(String classificationLevel)

  - ### getClassificationOwner

    public String getClassificationOwner()

  - ### setClassificationOwner

    public RuleCategoryAction setClassificationOwner(String classificationOwner)

  - ### getClassificationAudience

    public String getClassificationAudience()

  - ### setClassificationAudience

    public RuleCategoryAction setClassificationAudience(String classificationAudience)

  - ### getClassificationReassessingDate

    public String getClassificationReassessingDate()

  - ### setClassificationReassessingDate

    public RuleCategoryAction setClassificationReassessingDate(String classificationReassessingDate)

  - ### getNeedReassessingAuthorization

    public Boolean getNeedReassessingAuthorization()

  - ### setNeedReassessingAuthorization

    public RuleCategoryAction setNeedReassessingAuthorization(Boolean needReassessingAuthorization)

  - ### getPreventRulesIdToAdd

    public Set<String> getPreventRulesIdToAdd()

  - ### setPreventRulesIdToAdd

    public RuleCategoryAction setPreventRulesIdToAdd(Set<String> preventRulesIdToAdd)